> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Name



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /mk8s/v1alpha1/node-groups/get-by-name
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /mk8s/v1alpha1/node-groups/get-by-name:
    get:
      tags:
        - nebius.mk8s.v1alpha1.NodeGroupService
      summary: Get By Name
      operationId: NodeGroupService_GetByName
      parameters:
        - in: query
          name: parentId
          required: true
          schema:
            type: string
        - in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mk8sV1alpha1NodeGroup'
          description: A successful response.
components:
  schemas:
    mk8sV1alpha1NodeGroup:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupSpec'
        status:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupStatus'
      title: NodeGroup represents Kubernetes node pool
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    mk8sV1alpha1NodeGroupSpec:
      properties:
        autoRepair:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupAutoRepairSpec'
        autoscaling:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupAutoscalingSpec'
        fixedNodeCount:
          format: int64
          type: string
        strategy:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupDeploymentStrategy'
        template:
          $ref: '#/components/schemas/mk8sV1alpha1NodeTemplate'
        version:
          description: >-
            Version is desired Kubernetes version of the cluster. For now only
            acceptable format is

            `MAJOR.MINOR` like "1.31". Option for patch version update will be
            added later.

            By default the cluster control plane MAJOR.MINOR version will be
            used.
          type: string
      required:
        - template
      type: object
    mk8sV1alpha1NodeGroupStatus:
      properties:
        nodeCount:
          description: |-
            Total number of nodes that are currently in the node group.
            Both ready and not ready nodes are counted.
          format: int64
          type: string
        outdatedNodeCount:
          description: >-
            Total number of nodes that has outdated node configuration.

            These nodes will be replaced by new nodes with up-to-date
            configuration.
          format: int64
          type: string
        readyNodeCount:
          description: >-
            Total number of nodes that successfully joined the cluster and are
            ready to serve workloads.

            Both outdated and up-to-date nodes are counted.
          format: int64
          type: string
        reconciling:
          title: Show that changes are in flight
          type: boolean
        state:
          $ref: '#/components/schemas/mk8sV1alpha1NodeGroupStatusState'
        targetNodeCount:
          description: >-
            Desired total number of nodes that should be in the node group.

            It is either fixed_node_count or arbitrary number between
            min_node_count and max_node_count decided by autoscaler.
          format: int64
          type: string
        version:
          description: >-
            Version have format `MAJOR.MINOR.PATCH-nebius-node.n` like
            "1.30.0-nebius-node.10".
          type: string
      type: object
    mk8sV1alpha1NodeGroupAutoRepairSpec:
      properties:
        conditions:
          description: Conditions that determine whether a node should be auto repaired.
          items:
            $ref: '#/components/schemas/mk8sV1alpha1NodeAutoRepairCondition'
          type: array
      type: object
    mk8sV1alpha1NodeGroupAutoscalingSpec:
      properties:
        maxNodeCount:
          format: int64
          type: string
        minNodeCount:
          format: int64
          type: string
      type: object
    mk8sV1alpha1NodeGroupDeploymentStrategy:
      properties:
        drainTimeout:
          title: >-
            DrainTimeout is the total amount of time that the service will spend
            on draining a node.

            By default, node can be drained without any time limitations.

            NOTE: NodeDrainTimeout is different from `kubectl drain --timeout`
          type: string
        maxSurge:
          $ref: '#/components/schemas/mk8sV1alpha1PercentOrCount'
        maxUnavailable:
          $ref: '#/components/schemas/mk8sV1alpha1PercentOrCount'
      type: object
    mk8sV1alpha1NodeTemplate:
      properties:
        bootDisk:
          $ref: '#/components/schemas/mk8sV1alpha1DiskSpec'
        cloudInitUserData:
          description: cloud-init user-data. Must contain at least one SSH key.
          type: string
        filesystems:
          items:
            $ref: '#/components/schemas/mk8sV1alpha1AttachedFilesystemSpec'
          type: array
        gpuCluster:
          $ref: '#/components/schemas/mk8sV1alpha1GpuClusterSpec'
        gpuSettings:
          $ref: '#/components/schemas/mk8sV1alpha1GpuSettings'
        metadata:
          $ref: '#/components/schemas/mk8sV1alpha1NodeMetadataTemplate'
        networkInterfaces:
          items:
            $ref: '#/components/schemas/mk8sV1alpha1NetworkInterfaceTemplate'
          type: array
        os:
          title: >-
            OS version that will be used to create the boot disk of Compute
            Instances in the NodeGroup.

            Supported platform / k8s version /  OS / driver presets combinations

            - gpu-l40s-a, gpu-l40s-d, gpu-h100-sxm, gpu-h200-sxm, cpu-e1,
            cpu-e2, cpu-d3:
              - drivers_preset: ""
                - k8s: 1.30 → "ubuntu22.04"
                - k8s: 1.31 → "ubuntu22.04" (default), "ubuntu24.04"
            - gpu-l40s-a, gpu-l40s-d, gpu-h100-sxm, gpu-h200-sxm:
              - drivers_preset: "cuda12" (CUDA 12.4)
                - k8s: 1.30, 1.31 → "ubuntu22.04"
              - drivers_preset: "cuda12.4"
                - k8s: 1.31 → "ubuntu22.04"
              - drivers_preset: "cuda12.8"
                - k8s: 1.31 → "ubuntu24.04"
            - gpu-b200-sxm:
              - drivers_preset: ""
                - k8s: 1.30, 1.31 → "ubuntu24.04"
              - drivers_preset: "cuda12" (CUDA 12.8)
                - k8s: 1.30, 1.31 → "ubuntu24.04"
              - drivers_preset: "cuda12.8"
                - k8s: 1.31 → "ubuntu24.04"
            - gpu-b200-sxm-a:
              - drivers_preset: ""
                - k8s: 1.31 → "ubuntu24.04"
              - drivers_preset: "cuda12.8"
                - k8s: 1.31 → "ubuntu24.04"
          type: string
        preemptible:
          $ref: '#/components/schemas/mk8sV1alpha1PreemptibleSpec'
        resources:
          $ref: '#/components/schemas/mk8sV1alpha1ResourcesSpec'
        serviceAccountId:
          description: >-
            the Nebius service account whose credentials will be available on
            the nodes of the group. With these credentials, it is possible to

            make `nebius` CLI or public API requests from the nodes without the
            need for extra authentication. This service account is also used to

            make requests to container registry.


            `resource.serviceaccount.issueAccessToken` permission is required to
            use this field.
          type: string
        taints:
          items:
            $ref: '#/components/schemas/mk8sV1alpha1NodeTaint'
          type: array
      required:
        - resources
      type: object
    mk8sV1alpha1NodeGroupStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - PROVISIONING
        - RUNNING
        - DELETING
      type: string
    mk8sV1alpha1NodeAutoRepairCondition:
      properties:
        disabled:
          description: When true, disables the default auto-repair condition rules.
          type: boolean
        status:
          $ref: '#/components/schemas/mk8sV1alpha1ConditionStatus'
        timeout:
          description: >-
            The duration after which the node is automatically repaired if the
            condition remains in the specified status.
          type: string
        type:
          description: Node condition type.
          type: string
      required:
        - type
      type: object
    mk8sV1alpha1PercentOrCount:
      properties:
        count:
          format: int64
          type: string
        percent:
          format: int64
          type: string
      type: object
    mk8sV1alpha1DiskSpec:
      properties:
        blockSizeBytes:
          format: int64
          type: string
        sizeBytes:
          format: int64
          type: string
        sizeGibibytes:
          format: int64
          type: string
        sizeKibibytes:
          format: int64
          type: string
        sizeMebibytes:
          format: int64
          type: string
        type:
          $ref: '#/components/schemas/mk8sV1alpha1DiskSpecDiskType'
      type: object
    mk8sV1alpha1AttachedFilesystemSpec:
      properties:
        attachMode:
          $ref: '#/components/schemas/mk8sV1alpha1AttachedFilesystemSpecAttachMode'
        deviceName:
          type: string
        existingFilesystem:
          $ref: '#/components/schemas/mk8sV1alpha1ExistingFilesystem'
      required:
        - attachMode
        - deviceName
      type: object
    mk8sV1alpha1GpuClusterSpec:
      properties:
        id:
          type: string
      type: object
    mk8sV1alpha1GpuSettings:
      description: GPU-related settings.
      properties:
        driversPreset:
          title: >-
            Identifier of the predefined set of drivers included in the
            ComputeImage deployed on ComputeInstances that are part of the
            NodeGroup.

            Supported presets for different platform / k8s version combinations:

            - gpu-l40s-a, gpu-l40s-d, gpu-h100-sxm, gpu-h200-sxm:
              - k8s: 1.30 → "cuda12" (CUDA 12.4)
              - k8s: 1.31 → "cuda12" (CUDA 12.4), "cuda12.4", "cuda12.8"
            - gpu-b200-sxm:
              - k8s: 1.31 → "cuda12" (CUDA 12.8), "cuda12.8"
            - gpu-b200-sxm-a:
              - k8s: 1.31 → "cuda12.8"
          type: string
      required:
        - driversPreset
      type: object
    mk8sV1alpha1NodeMetadataTemplate:
      properties:
        labels:
          additionalProperties:
            type: string
          description: >-
            Labels will be propagated into nodes metadata.

            System labels containing "kubernetes.io" and "k8s.io" will not be
            propagated.

            On update labels they will not be updated in nodes right away, only
            on node group update.
          type: object
      type: object
    mk8sV1alpha1NetworkInterfaceTemplate:
      properties:
        publicIpAddress:
          $ref: '#/components/schemas/mk8sV1alpha1PublicIPAddress'
        subnetId:
          description: >-
            Subnet ID that will be attached to a node cloud instance network
            interface.

            By default control plane subnet_id used.

            Subnet should be located in the same network with control plane and
            have same parent ID as cluster.
          type: string
      type: object
    mk8sV1alpha1PreemptibleSpec:
      type: object
    mk8sV1alpha1ResourcesSpec:
      properties:
        platform:
          type: string
        preset:
          type: string
      required:
        - platform
      type: object
    mk8sV1alpha1NodeTaint:
      properties:
        effect:
          $ref: '#/components/schemas/mk8sV1alpha1NodeTaintEffect'
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
        - effect
      title: >-
        See
        https://kubernetes.io/docs/concepts/scheduling-eviction/taint-and-toleration/
      type: object
    mk8sV1alpha1ConditionStatus:
      default: CONDITION_STATUS_UNSPECIFIED
      enum:
        - CONDITION_STATUS_UNSPECIFIED
        - 'TRUE'
        - 'FALSE'
        - UNKNOWN
      type: string
    mk8sV1alpha1DiskSpecDiskType:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - NETWORK_SSD
        - NETWORK_HDD
        - NETWORK_SSD_IO_M3
        - NETWORK_SSD_NON_REPLICATED
      title: >-
        - NETWORK_SSD: the list of available types will be clarified later, it
        is not final version
      type: string
    mk8sV1alpha1AttachedFilesystemSpecAttachMode:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - READ_ONLY
        - READ_WRITE
      type: string
    mk8sV1alpha1ExistingFilesystem:
      properties:
        id:
          type: string
      required:
        - id
      type: object
    mk8sV1alpha1PublicIPAddress:
      description: Describes a public IP address.
      type: object
    mk8sV1alpha1NodeTaintEffect:
      default: EFFECT_UNSPECIFIED
      enum:
        - EFFECT_UNSPECIFIED
        - NO_EXECUTE
        - NO_SCHEDULE
        - PREFER_NO_SCHEDULE
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````